<layout-profile-info-card [isLoading]="!(customerProfile$ | async)">
  <div class="profile-info" *ngIf="customerProfile$ | async as customerProfile">
    <div class="profile-info__data">
      <div class="customer-data">
        <h2 class="customer-data__name">
          <b>{{ customerProfile?.display_name }}</b>
        </h2>
        <layout-status [status]="customerProfile?.status"></layout-status>
      </div>
      <div class="ids">
        <p class="item">
          <span class="item__title">
            {{ "CUSTOMERS.CUSTOMER_PROFILE.INFO.CUSTOMER_ID" | translate }}:
          </span>
          <span class="item__description">
            <b>{{ customerProfile?.reference }}</b>
          </span>
        </p>
      </div>
    </div>
    <div class="profile-info__dates">
      <p class="item">
        <span class="item__title">
          <b>
            {{ "CUSTOMERS.CUSTOMER_PROFILE.INFO.CREATED_AT" | translate }}:
          </b>
        </span>
        <span class="item__description">
          {{ customerProfile?.created_at | MODate }}
        </span>
      </p>
      <p class="item">
        <span class="item__title">
          <b>
            {{ "CUSTOMERS.CUSTOMER_PROFILE.INFO.UPDATED_AT" | translate }}:
          </b>
        </span>
        <span class="item__description">
          {{ customerProfile?.updated_at | MODate }}
        </span>
      </p>
    </div>
  </div>
</layout-profile-info-card>
